Bug 622218 - Boot messages after upgrade complain about Database format but link makes no mention
Boot messages after upgrade complain about Database format but link makes no ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 03:12 EDT by Bevis King
Modified: 2013-07-02 23:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 20:22:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bevis King 2010-08-08 03:12:13 EDT
Description of problem:
After upgrading to Fedora 13 from Fedora 12, the following message appears:

An old version of the database format was found.
You need to upgrade the data format before using PostgreSQL.
See /usr/share/doc/postgresql-8.4.4/README.rpm-dist for more information.
Package sendmail-cf is required to update configuration.

The file specified does not exist.  The version that is there includes no reference whatsoever to the data format changes required.

Version-Release number of selected component (if applicable):
8.4.3-1.fc12

How reproducible:
Every time.

Steps to Reproduce:
1.  Boot system upgraded from fc12 to fc13 with postgresql
  
Actual results:
Error message that refers to non-existent file.

Expected results:
Referred to file contains necessary instructions.

Additional info:
Comment 1 Tom Lane 2010-08-08 11:28:28 EDT
F-12 and F-13 both use Postgres 8.4, so I do not believe you could have gotten this message after upgrading from an F-12 installation with working Postgres.  Maybe the database dates from F-11 or earlier?  What is in /var/lib/pgsql/data/PG_VERSION ?
Comment 2 Tom Lane 2010-11-15 20:22:10 EST
Closing for lack of response.
Comment 3 Bevis King 2010-11-17 08:34:26 EST
The system has been totally re-installed so I can't check the details.  It had been upgraded progressively all the way from Fedora 8, so by the F12->F13 upgrade there could be a lot of legacy "baggage".

I did a fresh install of F14 and rebuilt the postgres gis database from scratch (it was being used for Open Street Map rendering).

Note You need to log in before you can comment on or make changes to this bug.